Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.density
Class SMODensity<T>

    java.lang.Object
      fr.lip6.density.SMODensity<T>

Type Parameters:
  `T` - Type d'objet à traiter

All Implemented Interfaces:
  DensityFunction<T>, java.io.Serializable

    public class SMODensity<T>

extends java.lang.Object
implements DensityFunction<T>, java.io.Serializable

Estimateur de densité one class SVM basé sur l'algorithme SMO de J. Platt.
Fonctionne pour n'importe quel objet, tant qu'un noyau sur cet objet est fourni.

Author:
  dpicard
See Also:
  Serialized Form

Constructor Summary
`SMODensity(Kernel<T> K)` Constructeur par défaut, fournissant le noyau servant à évaluer la similarité entre les élement de l'espace d'entrée.

Method Summary
`double[]` | `getAlphas()` get the weights of each support vector
`void` | `train(java.util.ArrayList<T> e)` Entraîne l'estimateur de densité sur l'ensemble d'apprentissage fourni en argument.
`void` | `train(T e)` ajoute un exemple à l'ensemble d'apprentissage et ré-entraîne l'estimateur.
`double` | `valueOf(T e)` proba of being related to the underlying density

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMODensity

    public SMODensity(Kernel<T> K)

  Constructeur par défaut, fournissant le noyau servant à évaluer la similarité entre les élement de l'espace d'entrée.

  Parameters:
    `K` - le noyau templatisé du type d'objet à traiter

Method Detail

### train

    public void train(T e)

  Description copied from interface: `DensityFunction`
  ajoute un exemple à l'ensemble d'apprentissage et ré-entraîne l'estimateur.

  Specified by:
    `train` in interface `DensityFunction<T>`
  Parameters:
    `e` - l'exemple à ajouter à l'ensemble d'apprentissage

### train

    public void train(java.util.ArrayList<T> e)

  Description copied from interface: `DensityFunction`
  Entraîne l'estimateur de densité sur l'ensemble d'apprentissage fourni en argument.

  Specified by:
    `train` in interface `DensityFunction<T>`
  Parameters:
    `e` - l'ensemble d'apprentissage sur lequel entraîner l'estimateur.

### valueOf

    public double valueOf(T e)

  Description copied from interface: `DensityFunction`
  proba of being related to the underlying density

  Specified by:
    `valueOf` in interface `DensityFunction<T>`
  Parameters:
    `e` - exemple a traiter
  Returns:
    valeur de la fonction de densité pour l'élément donné.

### getAlphas

    public double[] getAlphas()

  get the weights of each support vector

  Returns:
    the weights of the support vectors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD